$  Copyright(c) 1995 Sun Microsystems, Inc.
$  All rights reserved.
 
$  #ident  "@(#)cdtest.msg  1.7  00/09/20  SMI"
 
 
$ cdtest messages
$ VERBOSE	   1 - 1999	
$ INFO		2000 - 3999 (also used for LOGFILE and CONSOLE messages)
$ WARNING	4000 - 5999
$ ERROR		6000 - 7999
$ FATAL		8000 - 9999 

$ VERBOSE messages
$ READ_OFFSET
1000	"CDROM read offset = %d"
$ CD_TOC
1001	"CD table of contents (track %d thru %d)"
$ TRACK_INFO
1002	"Track %03d, type %d, mode %03d, lba %06d"
$ NO_PART_INFO
1003	"unsuccessful DKIOCGAPART;no filesystem on disk?"

$ INFO messages
$ TIME_WARNING
2000	"The play time %d sec exceeds time usually expected (%d sec) at track %d. This may happen under conditions of heavy system load"

$ I_cdrom_conn
2001 Connected <> 

$ I_CDARG_NEED_TXT
2002    "%s= must be followed by a valid text string."\n

$ I_CDARG_NEED_NUM
2003    "%s= must be followed by a number."\n


$ CONSOLE messages
$ ROUTINE_MESG
3000	"CD_ROM test specific options:\n\
	 	dev = devicename\n\
		read = read access (random|sequential)\n\
		data = percentage of data to be read\n\
		vol = audio volume (0..255, default 125)\n\
		type = type of CD used for test(pdo|multisession|other)\n"

$ WARNING messages
$ AUDIO_TIME_EXCEED
4000	"Audio play exceeded %d second time limit at track %d" Probable_Cause(s): \
<Heavy system load>
$ DEV_NOT_AVAILABLE
4001	"Device unavailable to perform testing" Probable_Cause(s): \
<%s> Recommended_Action(s): <Retry after sometime>
$ CDROMSTOP_FAIL
4002	"ioctl CDROMSTOP failure (number of retries: %d)"

$ ERROR messages
$ SEEK_FAIL
6000	"Fail to seek at block %d" Probable_Cause(s): <%s> <Bad media> \
Recommended_Action(s): <retry with a different CD>
$ READ_FAIL
6001	"Fail to read %d bytes at block %d" Probable_Cause(s): <%s> <Bad media>\
<Incorrect CD type passed to cdtest>
$ UNSUPPORTED_DATAMODE
6002	"Data mode %d not supported" Probable_Cause(s): <datamode has a value other \
than CD_DATAMODE1 or CD_DATAMODE2 (see cdio(7))>
$ AUDIO_ERR
6003	"Error occured while playing audio track %d"
$ AUDIO_STOP_ERR
6004	"Audio stop before complete at track %d"
$ AUDIO_UNKNOWN_STAT
6005	"Unexpected audio status %d received at track %d"
$ READOFFSET_ERR
6006 	"Fail in reading offset of the multi-session, offset = %d" Probable_Cause(s): \
<an incorrect value for cdtype has been passed to the cdtest> <Bad media>
$ NOT_MULTISESSION_DISC
6007	"This is not a CD ROM Multi-Session disc!" Probable_Cause(s): <An incorrect \
value for cdtype has been passed to the cdtest>

$ FATAL messages
$ OPEN_FAIL
8000	"Fail to open device %s" Probable_Cause(s): <%s>
$ IOCTL_FAIL
8001	"Fail ioctl %s" Probable_Cause(s): <%s>
$ NO_PARTITION
8002	"Fail ioctl %s" Probable_Cause(s): <%s> <No partitions on the disc>
$ NO_MEMORY
8003	"Fail to allocate %d bytes of memory"
$ INVALID_TOCHDR
8004	"Error occured while reading TOC header" Probable_Cause(s): <Track numbers \
out of range; First track: %d, Last track: %d> Recommended_Action(s): <retry \
with different CD>
$ DATACMP_ERR
8005	"Data miscompare while reading %d bytes starting from block %d" \
Probable_Cause(s): <An incorrect value for cdtype has been passed to cdtest> \
<Bad media>
$ CDROMSTART_FAIL
8006	"ioctl CDROMSTART failure (number of retries: %d)"
$ STAT_FAIL
8007	"Failed to get information about %s" \
Probable_Cause(s): <No media in the drive> <CD-ROM drive not connected or \
configured properly>
